Subject: Re: bug#12611: Bugfix for broken hunspell choices

From: Agustin Martin <[email-masked]>
Date: Wed, 10 Oct 2012 12:48:26 +0200

On Tue, Oct 09, 2012 at 02:32:11PM +0200, Bastian Ballmann wrote:
> ** Description
> 
> When using hunspell as spell checker and setting LANG=de_CH.utf-8 i
> often get an empty choices buffer after running M-x ispell. The
> problem is the use of the -a parameter. Hunspell only outputs half
> of the corrections when using -a in contrast to a run without -a
> param.
[...]
> The only way I was able to generate choices for all wrong written
> word is by skiping the -a parameter.

All the ispell.el communication with the spellchecker is done in pipe mode
(-a mode). If you disable it you will completely disable normal
communication.

As a matter of fact I get no comunication with your changes applied, just an
ispell process that is started and not killed on exit. Not to mention that
this also breaks flyspell.el.

You are probably hit by some of the oddities in hunspell pipe mode
regarding UTF-8 characters.

-- 
Regards,